#ifndef __SPAWN_H__
#define __SPAWN_H__

#include "constants.h"
#include "virus.h"

#define BASE_SPAWN_RATE 0.0005



#define DIFFICULTY_EASY 0
#define DIFFICULTY_MEDIUM 1
#define DIFFICULTY_HARD 2



struct spawn
{
	double x, y;

	//easy->hard
	int type;

	double spawn_rates[VIRUS_TYPE_TOTAL];

	//total viruses to spawn
	int viruses_left;

	//how much speed is added to all viruses spawned by this spawn
	double speed_additive;
};


spawn* createSpawn();
void destroySpawn(spawn* s);

virus* spawnVirus(spawn* s, int frame);

#endif
